UNAME(1)

NAME
uname - display information about the system

SYNOPSIS
uname [-aimnoprsv]

DESCRIPTION
The uname command writes the name of the operating system implementation to standard output. When options are specified, strings representing one or more system characteristics are written to standard output.

The options are as follows:

-a  Behave as though the options -m, -n, -r, -s, and -v were specified.

-i  Write the kernel ident to standard output.

-m  Write the type of the current hardware platform to standard output.

-n  Write the name of the system to standard output.

-o  This is a synonym for the -s option, for compatibility with other systems.

-p  Write the type of the machine processor architecture to standard output.

-r  Write the current release level of the operating system to standard output.

-s  Write the name of the operating system implementation to standard output.

-v  Write the version level of this release of the operating system to standard output.

If the -a flag is specified, or multiple flags are specified, all output is written on a single line, separated by spaces.

ENVIRONMENT
An environment variable composed of the string UNAME_ followed by any flag to the uname utility (except for -a) will allow the corresponding data to be set to the contents of the environment variable.

EXIT STATUS

SEE ALSO
sysctl(3), uname(3), sysctl(8)

STANDARDS
The uname command is expected to conform to the p1003.2 specification.

HISTORY
The uname command appeared in PWB UNIX.